Bug 117503 - Republishing Error with Related links
Summary: Republishing Error with Related links
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types   
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Scott Seago
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 113496 116801
TreeView+ depends on / blocked
 
Reported: 2004-03-04 19:11 UTC by Jon Orris
Modified: 2007-04-18 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-05 19:15:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Orris 2004-03-04 19:11:38 UTC
Description of problem:
There is a republishing error that occurs when 'Related Links' is used
to associate content items.

To reproduce:
Create two articles, First and Second.
Add a link to First in Second.
Publish Second.
Now publish first.

Will get a ccm error.

Occurs on the trunk, likely there on qgen as well.

Comment 1 Jon Orris 2004-03-04 19:12:40 UTC
Cleaned up PublishedLink a bit to clarify cause of the error @41049.

java.lang.IllegalStateException: Value of targetItem is null.
        at com.arsdigita.util.Assert.assertTrue(Assert.java:374)
        at com.arsdigita.util.Assert.assertNotNull(Assert.java:396)
        at
com.arsdigita.cms.PublishedLink.updateLiveLinksFromCollection(PublishedLink.java:261)
        at
com.arsdigita.cms.PublishedLink.updateLiveLinks(PublishedLink.java:222)
        at com.arsdigita.cms.ContentItem.setLive(ContentItem.java:1214)
        at
com.arsdigita.cms.ContentItem.promotePendingVersion(ContentItem.java:1648)
        at
com.arsdigita.cms.lifecycle.PublishLifecycleListener.begin(PublishLifecycleListener.java:96)
        at
com.arsdigita.cms.lifecycle.Lifecycle.fireListeners(Lifecycle.java:498)
        at com.arsdigita.cms.lifecycle.Lifecycle.start(Lifecycle.java:454)
        at
com.arsdigita.cms.ui.lifecycle.ItemLifecycleSelectForm$ProcessListener.process(ItemLifecycleSelectForm.java:500)
        at
com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:490)
 

Comment 2 Scott Seago 2004-03-04 22:04:14 UTC
When updating live links, we've got to specialize the returned
DataObject for the link source. submitted @41058

Comment 3 Daniel Berrange 2004-03-05 10:23:44 UTC
There is no reason for this bug to be private.


Note You need to log in before you can comment on or make changes to this bug.